# Method: issueresolution.renderaccountissues

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution/renderaccountissues#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution/renderaccountissues#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution/renderaccountissues#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution/renderaccountissues#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution/renderaccountissues#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution/renderaccountissues#body.RenderAccountIssuesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution/renderaccountissues#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution/renderaccountissues#try-it)

Provide a list of business's account issues with an issue resolution content and available actions. This content and actions are meant to be rendered and shown in third-party applications.

### HTTP request

`POST https://merchantapi.googleapis.com/issueresolution/v1/{name=accounts/*}:renderaccountissues`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The account to fetch issues for. Format: `accounts/{account}` |

### Query parameters

| Parameters ||
|---|---|
| `languageCode` | `string` Optional. The [IETF BCP-47](https://tools.ietf.org/html/bcp47) language code used to localize issue resolution content. If not set, the result will be in default language `en-US`. |
| `timeZone` | `string` Optional. The [IANA](https://www.iana.org/time-zones) timezone used to localize times in an issue resolution content. For example 'America/Los_Angeles'. If not set, results will use as a default UTC. |

### Request body

The request body contains an instance of `https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/RenderIssuesRequestPayload`.

### Response body

Response containing an issue resolution content and actions for listed account issues.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "renderedIssues": [ { object (`https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution#RenderedIssue`) } ] } ``` |

| Fields ||
|---|---|
| `renderedIssues[]` | ``object (`https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution#RenderedIssue`)`` List of account issues for a given account. This list can be shown with compressed, expandable items. In the compressed form, the title and impact should be shown for each issue. Once the issue is expanded, the detailed `https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution#RenderedIssue.FIELDS.prerendered_content` and available `https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/issueresolution#RenderedIssue.FIELDS.actions` should be rendered. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).